Categories:
  - Internet
License: EPL-2.0
AuthorName: openHAB Foundation
AuthorEmail: apps@openhabfoundation.org
WebSite: https://www.openhab.org/
SourceCode: https://github.com/openhab/openhab-android
IssueTracker: https://github.com/openhab/openhab-android/issues
Translation: https://crowdin.com/project/openhab-android
Changelog: https://github.com/openhab/openhab-android/releases
Donate: https://www.paypal.me/openHABFoundation

AutoName: openHAB

RepoType: git
Repo: https://github.com/openhab/openhab-android.git

Builds:
  - versionName: 2.0.27
    versionCode: 30
    commit: 2.0.27-release-fdroid
    subdir: mobile
    gradle:
      - foss
    prebuild: sed -i -e 's|maven.fabric.io/public|repo1.maven.org/maven2|' -e /fabric/d
        -e '/google-services/d' build.gradle

  - versionName: 2.0.31
    versionCode: 34
    commit: 2.0.31-release-fdroid
    subdir: mobile
    gradle:
      - foss
      - stable
    prebuild: sed -i -e 's|maven.fabric.io/public|repo1.maven.org/maven2|' -e /fabric/d
        -e '/google-services/d' build.gradle

  - versionName: 2.1.0
    versionCode: 50
    commit: 2.1.0-release-fdroid
    subdir: mobile
    gradle:
      - foss
      - stable
    prebuild: sed -i -e 's|maven.fabric.io/public|repo1.maven.org/maven2|' -e /fabric/d
        -e '/google-services/d' build.gradle

  - versionName: 2.2.0
    versionCode: 59
    commit: 2.2.0-release-fdroid
    subdir: mobile
    gradle:
      - foss
      - stable
    prebuild: sed -i -e 's|maven.fabric.io/public|repo1.maven.org/maven2|' -e /fabric/d
        -e '/google-services/d' build.gradle

  - versionName: 2.3.0
    versionCode: 82
    commit: 2.3.0-release-fdroid
    subdir: mobile
    gradle:
      - foss
      - stable
    prebuild: sed -i -e 's|maven.fabric.io/public|repo1.maven.org/maven2|' -e /fabric/d
        -e '/google-services/d' build.gradle

  - versionName: 2.4.0
    versionCode: 91
    commit: 2.4.0-release-fdroid
    subdir: mobile
    gradle:
      - foss
      - stable
    prebuild: sed -i -e 's|maven.fabric.io/public|repo1.maven.org/maven2|' -e /fabric/d
        -e '/google-services/d' build.gradle

  - versionName: 2.5.0
    versionCode: 95
    commit: 2.5.0-release-fdroid
    subdir: mobile
    gradle:
      - foss
      - stable
    prebuild: sed -i -e 's|maven.fabric.io/public|repo1.maven.org/maven2|' -e /fabric/d
        -e '/google-services/d' build.gradle

  - versionName: 2.6.0
    versionCode: 114
    commit: 2.6.0-release-fdroid
    subdir: mobile
    gradle:
      - foss
      - stable
    prebuild: sed -i -e 's|maven.fabric.io/public|repo1.maven.org/maven2|' -e /fabric/d
        -e '/google-services/d' build.gradle

  - versionName: 2.6.9
    versionCode: 123
    commit: 2.6.9-release-fdroid
    subdir: mobile
    gradle:
      - foss
      - stable
    prebuild: sed -i -e 's|maven.fabric.io/public|repo1.maven.org/maven2|' -e /fabric/d
        -e '/google-services/d' build.gradle

  - versionName: 2.7.0
    versionCode: 140
    commit: 2.7.0-release-fdroid
    subdir: mobile
    gradle:
      - foss
      - stable
    prebuild: sed -i -e 's|maven.fabric.io/public|repo1.maven.org/maven2|' -e /fabric/d
        -e '/google-services/d' build.gradle

  - versionName: 2.8.0
    versionCode: 158
    commit: 2.8.0-release-fdroid
    subdir: mobile
    gradle:
      - foss
      - stable
    prebuild: sed -i -e 's|maven.fabric.io/public|repo1.maven.org/maven2|' -e /fabric/d
        -e '/google-services/d' build.gradle

  - versionName: 2.9.0
    versionCode: 195
    commit: 2.9.0-release-fdroid
    subdir: mobile
    gradle:
      - foss
      - stable
    prebuild: sed -i -e 's|maven.fabric.io/public|repo1.maven.org/maven2|' -e /fabric/d
        -e '/google-services/d' build.gradle

  - versionName: 2.10.0
    versionCode: 211
    commit: 2.10.0-release-fdroid
    subdir: mobile
    gradle:
      - foss
      - stable
    prebuild: sed -i -e 's|maven.fabric.io/public|repo1.maven.org/maven2|' -e /fabric/d
        -e '/google-services/d' build.gradle

  - versionName: 2.10.3
    versionCode: 214
    commit: 2.10.3-release-fdroid
    subdir: mobile
    gradle:
      - foss
      - stable
    prebuild: sed -i -e 's|maven.fabric.io/public|repo1.maven.org/maven2|' -e /fabric/d
        -e '/google-services/d' build.gradle

  - versionName: 2.11.0
    versionCode: 232
    commit: 2.11.0-release-fdroid
    subdir: mobile
    gradle:
      - foss
      - stable
    prebuild: sed -i -e 's|maven.fabric.io/public|repo1.maven.org/maven2|' -e /fabric/d
        -e '/google-services/d' build.gradle

  - versionName: 2.12.0
    versionCode: 268
    commit: 2.12.0-release-fdroid
    subdir: mobile
    gradle:
      - foss
      - stable
    prebuild: sed -i -e 's|maven.fabric.io/public|repo1.maven.org/maven2|' -e /fabric/d
        -e '/google-services/d' build.gradle

  - versionName: 2.12.1
    versionCode: 269
    commit: 2.12.1-release-fdroid
    subdir: mobile
    gradle:
      - foss
      - stable
    prebuild: sed -i -e 's|maven.fabric.io/public|repo1.maven.org/maven2|' -e /fabric/d
        -e '/google-services/d' build.gradle

  - versionName: 2.13.0
    versionCode: 290
    commit: 2.13.0-release-fdroid
    subdir: mobile
    gradle:
      - foss
      - stable
    prebuild: sed -i -e 's|maven.fabric.io/public|repo1.maven.org/maven2|' -e /fabric/d
        -e '/google-services/d' build.gradle

  - versionName: 2.14.0
    versionCode: 311
    commit: 2.14.0-release-fdroid
    subdir: mobile
    gradle:
      - foss
      - stable
    prebuild: sed -i -e 's|maven.fabric.io/public|repo1.maven.org/maven2|' -e /fabric/d
        -e '/google-services/d' build.gradle

  - versionName: 2.15.0
    versionCode: 323
    commit: 2.15.0-release-fdroid
    subdir: mobile
    gradle:
      - foss
      - stable
    prebuild: sed -i -e 's|maven.fabric.io/public|repo1.maven.org/maven2|' -e /fabric/d
        -e '/google-services/d' build.gradle

  - versionName: 2.16.1
    versionCode: 357
    commit: 2.16.1-release-fdroid
    subdir: mobile
    gradle:
      - foss
      - stable
    prebuild: sed -i -e 's|maven.fabric.io/public|repo1.maven.org/maven2|' -e /fabric/d
        -e '/google-services/d' build.gradle

  - versionName: 2.17.0
    versionCode: 378
    commit: 2.17.0-release-fdroid
    subdir: mobile
    gradle:
      - foss
      - stable
    prebuild: sed -i -e 's|maven.fabric.io/public|repo1.maven.org/maven2|' -e /fabric/d
        -e '/google-services/d' build.gradle

MaintainerNotes: Replace the fabric.io maven with mavencentral instead of deleting
    it to not trigger fdroid/fdroidserver#463.

AutoUpdateMode: Version %v-release-fdroid
UpdateCheckMode: Tags ^[0-9.]+-release-fdroid$
CurrentVersion: 2.17.0
CurrentVersionCode: 378
